# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

# pylint: skip-file
# flake8: noqa
# type: ignore

from ..bar import zed as zed_mod
import re

if zed_mod.zed() is None:
    # conditional import to verify that embedded modules that aren't imported are handled properly
    import foo.bar.omega

zed = zed_mod.zed


def bif() -> str:
    print(f"bif() called; {zed()=}")
    return "bif"


"""
A complicated regex that once broke embedder's quoting
"""
yuck_re = re.compile(r"^(?:\s*([\w.]+)=((?:(['\"])(?:\\\3|(?!\3).)*\3|[^'\"]*?)+))(\s*)(?=\s+[\w.]+=|$)")


print("imported tests/embed/modules/foo/bar/bif.py")
